## org.eclipse.datatools.modelbase.sql.xml.query
Interface SQLXMLQueryModelFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface SQLXMLQueryModelFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `SQLXMLQueryModelPackage`

Field Summary
`static SQLXMLQueryModelFactory` `eINSTANCE` The singleton instance of the factory.

Method Summary
`XMLAggregateFunction` `createXMLAggregateFunction()` Returns a new object of class 'XML Aggregate Function'.
`XMLAggregateSortSpecification` `createXMLAggregateSortSpecification()` Returns a new object of class 'XML Aggregate Sort Specification'.
`XMLAttributeDeclarationItem` `createXMLAttributeDeclarationItem()` Returns a new object of class 'XML Attribute Declaration Item'.
`XMLAttributesDeclaration` `createXMLAttributesDeclaration()` Returns a new object of class 'XML Attributes Declaration'.
`XMLNamespaceDeclarationDefault` `createXMLNamespaceDeclarationDefault()` Returns a new object of class 'XML Namespace Declaration Default'.
`XMLNamespaceDeclarationItem` `createXMLNamespaceDeclarationItem()` Returns a new object of class 'XML Namespace Declaration Item'.
`XMLNamespaceDeclarationPrefix` `createXMLNamespaceDeclarationPrefix()` Returns a new object of class 'XML Namespace Declaration Prefix'.
`XMLNamespacesDeclaration` `createXMLNamespacesDeclaration()` Returns a new object of class 'XML Namespaces Declaration'.
`XMLPredicateContent` `createXMLPredicateContent()` Returns a new object of class 'XML Predicate Content'.
`XMLPredicateDocument` `createXMLPredicateDocument()` Returns a new object of class 'XML Predicate Document'.
`XMLPredicateExists` `createXMLPredicateExists()` Returns a new object of class 'XML Predicate Exists'.
`XMLPredicateValid` `createXMLPredicateValid()` Returns a new object of class 'XML Predicate Valid'.
`XMLQueryArgumentItem` `createXMLQueryArgumentItem()` Returns a new object of class 'XML Query Argument Item'.
`XMLQueryArgumentList` `createXMLQueryArgumentList()` Returns a new object of class 'XML Query Argument List'.
`XMLQueryExpression` `createXMLQueryExpression()` Returns a new object of class 'XML Query Expression'.
`XMLSerializeFunction` `createXMLSerializeFunction()` Returns a new object of class 'XML Serialize Function'.
`XMLSerializeFunctionEncoding` `createXMLSerializeFunctionEncoding()` Returns a new object of class 'XML Serialize Function Encoding'.
`XMLSerializeFunctionTarget` `createXMLSerializeFunctionTarget()` Returns a new object of class 'XML Serialize Function Target'.
`XMLTableColumnDefinitionDefault` `createXMLTableColumnDefinitionDefault()` Returns a new object of class 'XML Table Column Definition Default'.
`XMLTableColumnDefinitionItem` `createXMLTableColumnDefinitionItem()` Returns a new object of class 'XML Table Column Definition Item'.
`XMLTableColumnDefinitionOrdinality` `createXMLTableColumnDefinitionOrdinality()` Returns a new object of class 'XML Table Column Definition Ordinality'.
`XMLTableColumnDefinitionRegular` `createXMLTableColumnDefinitionRegular()` Returns a new object of class 'XML Table Column Definition Regular'.
`XMLTableFunction` `createXMLTableFunction()` Returns a new object of class 'XML Table Function'.
`XMLValueExpressionCast` `createXMLValueExpressionCast()` Returns a new object of class 'XML Value Expression Cast'.
`XMLValueFunctionComment` `createXMLValueFunctionComment()` Returns a new object of class 'XML Value Function Comment'.
`XMLValueFunctionCommentContent` `createXMLValueFunctionCommentContent()` Returns a new object of class 'XML Value Function Comment Content'.
`XMLValueFunctionConcat` `createXMLValueFunctionConcat()` Returns a new object of class 'XML Value Function Concat'.
`XMLValueFunctionConcatContentItem` `createXMLValueFunctionConcatContentItem()` Returns a new object of class 'XML Value Function Concat Content Item'.
`XMLValueFunctionDocument` `createXMLValueFunctionDocument()` Returns a new object of class 'XML Value Function Document'.
`XMLValueFunctionDocumentContent` `createXMLValueFunctionDocumentContent()` Returns a new object of class 'XML Value Function Document Content'.
`XMLValueFunctionElement` `createXMLValueFunctionElement()` Returns a new object of class 'XML Value Function Element'.
`XMLValueFunctionElementContentItem` `createXMLValueFunctionElementContentItem()` Returns a new object of class 'XML Value Function Element Content Item'.
`XMLValueFunctionElementContentList` `createXMLValueFunctionElementContentList()` Returns a new object of class 'XML Value Function Element Content List'.
`XMLValueFunctionForest` `createXMLValueFunctionForest()` Returns a new object of class 'XML Value Function Forest'.
`XMLValueFunctionForestContentItem` `createXMLValueFunctionForestContentItem()` Returns a new object of class 'XML Value Function Forest Content Item'.
`XMLValueFunctionParse` `createXMLValueFunctionParse()` Returns a new object of class 'XML Value Function Parse'.
`XMLValueFunctionParseContent` `createXMLValueFunctionParseContent()` Returns a new object of class 'XML Value Function Parse Content'.
`XMLValueFunctionPI` `createXMLValueFunctionPI()` Returns a new object of class 'XML Value Function PI'.
`XMLValueFunctionPIContent` `createXMLValueFunctionPIContent()` Returns a new object of class 'XML Value Function PI Content'.
`XMLValueFunctionQuery` `createXMLValueFunctionQuery()` Returns a new object of class 'XML Value Function Query'.
`XMLValueFunctionQueryReturning` `createXMLValueFunctionQueryReturning()` Returns a new object of class 'XML Value Function Query Returning'.
`XMLValueFunctionText` `createXMLValueFunctionText()` Returns a new object of class 'XML Value Function Text'.
`XMLValueFunctionTextContent` `createXMLValueFunctionTextContent()` Returns a new object of class 'XML Value Function Text Content'.
`XMLValueFunctionValidate` `createXMLValueFunctionValidate()` Returns a new object of class 'XML Value Function Validate'.
`XMLValueFunctionValidateAccordingTo` `createXMLValueFunctionValidateAccordingTo()` Returns a new object of class 'XML Value Function Validate According To'.
`XMLValueFunctionValidateAccordingToIdentifier` `createXMLValueFunctionValidateAccordingToIdentifier()` Returns a new object of class 'XML Value Function Validate According To Identifier'.
`XMLValueFunctionValidateAccordingToURI` `createXMLValueFunctionValidateAccordingToURI()` Returns a new object of class 'XML Value Function Validate According To URI'.
`XMLValueFunctionValidateContent` `createXMLValueFunctionValidateContent()` Returns a new object of class 'XML Value Function Validate Content'.
`XMLValueFunctionValidateElement` `createXMLValueFunctionValidateElement()` Returns a new object of class 'XML Value Function Validate Element'.
`XMLValueFunctionValidateElementName` `createXMLValueFunctionValidateElementName()` Returns a new object of class 'XML Value Function Validate Element Name'.
`XMLValueFunctionValidateElementNamespace` `createXMLValueFunctionValidateElementNamespace()` Returns a new object of class 'XML Value Function Validate Element Namespace'.
`SQLXMLQueryModelPackage` `getSQLXMLQueryModelPackage()` Returns the package supported by this factory.

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final SQLXMLQueryModelFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createXMLValueFunctionConcat

    XMLValueFunctionConcat createXMLValueFunctionConcat()

  Returns a new object of class 'XML Value Function Concat'.

  Returns:
    a new object of class 'XML Value Function Concat'.

### createXMLNamespaceDeclarationPrefix

    XMLNamespaceDeclarationPrefix createXMLNamespaceDeclarationPrefix()

  Returns a new object of class 'XML Namespace Declaration Prefix'.

  Returns:
    a new object of class 'XML Namespace Declaration Prefix'.

### createXMLNamespaceDeclarationDefault

    XMLNamespaceDeclarationDefault createXMLNamespaceDeclarationDefault()

  Returns a new object of class 'XML Namespace Declaration Default'.

  Returns:
    a new object of class 'XML Namespace Declaration Default'.

### createXMLAttributeDeclarationItem

    XMLAttributeDeclarationItem createXMLAttributeDeclarationItem()

  Returns a new object of class 'XML Attribute Declaration Item'.

  Returns:
    a new object of class 'XML Attribute Declaration Item'.

### createXMLValueFunctionElement

    XMLValueFunctionElement createXMLValueFunctionElement()

  Returns a new object of class 'XML Value Function Element'.

  Returns:
    a new object of class 'XML Value Function Element'.

### createXMLNamespaceDeclarationItem

    XMLNamespaceDeclarationItem createXMLNamespaceDeclarationItem()

  Returns a new object of class 'XML Namespace Declaration Item'.

  Returns:
    a new object of class 'XML Namespace Declaration Item'.

### createXMLValueFunctionElementContentItem

    XMLValueFunctionElementContentItem createXMLValueFunctionElementContentItem()

  Returns a new object of class 'XML Value Function Element Content Item'.

  Returns:
    a new object of class 'XML Value Function Element Content Item'.

### createXMLValueFunctionForest

    XMLValueFunctionForest createXMLValueFunctionForest()

  Returns a new object of class 'XML Value Function Forest'.

  Returns:
    a new object of class 'XML Value Function Forest'.

### createXMLValueFunctionComment

    XMLValueFunctionComment createXMLValueFunctionComment()

  Returns a new object of class 'XML Value Function Comment'.

  Returns:
    a new object of class 'XML Value Function Comment'.

### createXMLValueFunctionDocument

    XMLValueFunctionDocument createXMLValueFunctionDocument()

  Returns a new object of class 'XML Value Function Document'.

  Returns:
    a new object of class 'XML Value Function Document'.

### createXMLValueFunctionParse

    XMLValueFunctionParse createXMLValueFunctionParse()

  Returns a new object of class 'XML Value Function Parse'.

  Returns:
    a new object of class 'XML Value Function Parse'.

### createXMLValueFunctionPI

    XMLValueFunctionPI createXMLValueFunctionPI()

  Returns a new object of class 'XML Value Function PI'.

  Returns:
    a new object of class 'XML Value Function PI'.

### createXMLValueFunctionQuery

    XMLValueFunctionQuery createXMLValueFunctionQuery()

  Returns a new object of class 'XML Value Function Query'.

  Returns:
    a new object of class 'XML Value Function Query'.

### createXMLValueFunctionText

    XMLValueFunctionText createXMLValueFunctionText()

  Returns a new object of class 'XML Value Function Text'.

  Returns:
    a new object of class 'XML Value Function Text'.

### createXMLValueFunctionValidate

    XMLValueFunctionValidate createXMLValueFunctionValidate()

  Returns a new object of class 'XML Value Function Validate'.

  Returns:
    a new object of class 'XML Value Function Validate'.

### createXMLValueExpressionCast

    XMLValueExpressionCast createXMLValueExpressionCast()

  Returns a new object of class 'XML Value Expression Cast'.

  Returns:
    a new object of class 'XML Value Expression Cast'.

### createXMLPredicateContent

    XMLPredicateContent createXMLPredicateContent()

  Returns a new object of class 'XML Predicate Content'.

  Returns:
    a new object of class 'XML Predicate Content'.

### createXMLPredicateDocument

    XMLPredicateDocument createXMLPredicateDocument()

  Returns a new object of class 'XML Predicate Document'.

  Returns:
    a new object of class 'XML Predicate Document'.

### createXMLPredicateExists

    XMLPredicateExists createXMLPredicateExists()

  Returns a new object of class 'XML Predicate Exists'.

  Returns:
    a new object of class 'XML Predicate Exists'.

### createXMLPredicateValid

    XMLPredicateValid createXMLPredicateValid()

  Returns a new object of class 'XML Predicate Valid'.

  Returns:
    a new object of class 'XML Predicate Valid'.

### createXMLQueryExpression

    XMLQueryExpression createXMLQueryExpression()

  Returns a new object of class 'XML Query Expression'.

  Returns:
    a new object of class 'XML Query Expression'.

### createXMLQueryArgumentList

    XMLQueryArgumentList createXMLQueryArgumentList()

  Returns a new object of class 'XML Query Argument List'.

  Returns:
    a new object of class 'XML Query Argument List'.

### createXMLQueryArgumentItem

    XMLQueryArgumentItem createXMLQueryArgumentItem()

  Returns a new object of class 'XML Query Argument Item'.

  Returns:
    a new object of class 'XML Query Argument Item'.

### createXMLSerializeFunction

    XMLSerializeFunction createXMLSerializeFunction()

  Returns a new object of class 'XML Serialize Function'.

  Returns:
    a new object of class 'XML Serialize Function'.

### createXMLSerializeFunctionTarget

    XMLSerializeFunctionTarget createXMLSerializeFunctionTarget()

  Returns a new object of class 'XML Serialize Function Target'.

  Returns:
    a new object of class 'XML Serialize Function Target'.

### createXMLAggregateFunction

    XMLAggregateFunction createXMLAggregateFunction()

  Returns a new object of class 'XML Aggregate Function'.

  Returns:
    a new object of class 'XML Aggregate Function'.

### createXMLValueFunctionConcatContentItem

    XMLValueFunctionConcatContentItem createXMLValueFunctionConcatContentItem()

  Returns a new object of class 'XML Value Function Concat Content Item'.

  Returns:
    a new object of class 'XML Value Function Concat Content Item'.

### createXMLValueFunctionCommentContent

    XMLValueFunctionCommentContent createXMLValueFunctionCommentContent()

  Returns a new object of class 'XML Value Function Comment Content'.

  Returns:
    a new object of class 'XML Value Function Comment Content'.

### createXMLValueFunctionDocumentContent

    XMLValueFunctionDocumentContent createXMLValueFunctionDocumentContent()

  Returns a new object of class 'XML Value Function Document Content'.

  Returns:
    a new object of class 'XML Value Function Document Content'.

### createXMLAggregateSortSpecification

    XMLAggregateSortSpecification createXMLAggregateSortSpecification()

  Returns a new object of class 'XML Aggregate Sort Specification'.

  Returns:
    a new object of class 'XML Aggregate Sort Specification'.

### createXMLValueFunctionForestContentItem

    XMLValueFunctionForestContentItem createXMLValueFunctionForestContentItem()

  Returns a new object of class 'XML Value Function Forest Content Item'.

  Returns:
    a new object of class 'XML Value Function Forest Content Item'.

### createXMLValueFunctionParseContent

    XMLValueFunctionParseContent createXMLValueFunctionParseContent()

  Returns a new object of class 'XML Value Function Parse Content'.

  Returns:
    a new object of class 'XML Value Function Parse Content'.

### createXMLValueFunctionPIContent

    XMLValueFunctionPIContent createXMLValueFunctionPIContent()

  Returns a new object of class 'XML Value Function PI Content'.

  Returns:
    a new object of class 'XML Value Function PI Content'.

### createXMLTableFunction

    XMLTableFunction createXMLTableFunction()

  Returns a new object of class 'XML Table Function'.

  Returns:
    a new object of class 'XML Table Function'.

### createXMLValueFunctionTextContent

    XMLValueFunctionTextContent createXMLValueFunctionTextContent()

  Returns a new object of class 'XML Value Function Text Content'.

  Returns:
    a new object of class 'XML Value Function Text Content'.

### createXMLValueFunctionValidateContent

    XMLValueFunctionValidateContent createXMLValueFunctionValidateContent()

  Returns a new object of class 'XML Value Function Validate Content'.

  Returns:
    a new object of class 'XML Value Function Validate Content'.

### createXMLTableColumnDefinitionItem

    XMLTableColumnDefinitionItem createXMLTableColumnDefinitionItem()

  Returns a new object of class 'XML Table Column Definition Item'.

  Returns:
    a new object of class 'XML Table Column Definition Item'.

### createXMLTableColumnDefinitionRegular

    XMLTableColumnDefinitionRegular createXMLTableColumnDefinitionRegular()

  Returns a new object of class 'XML Table Column Definition Regular'.

  Returns:
    a new object of class 'XML Table Column Definition Regular'.

### createXMLTableColumnDefinitionOrdinality

    XMLTableColumnDefinitionOrdinality createXMLTableColumnDefinitionOrdinality()

  Returns a new object of class 'XML Table Column Definition Ordinality'.

  Returns:
    a new object of class 'XML Table Column Definition Ordinality'.

### createXMLValueFunctionValidateAccordingTo

    XMLValueFunctionValidateAccordingTo createXMLValueFunctionValidateAccordingTo()

  Returns a new object of class 'XML Value Function Validate According To'.

  Returns:
    a new object of class 'XML Value Function Validate According To'.

### createXMLValueFunctionValidateAccordingToURI

    XMLValueFunctionValidateAccordingToURI createXMLValueFunctionValidateAccordingToURI()

  Returns a new object of class 'XML Value Function Validate According To URI'.

  Returns:
    a new object of class 'XML Value Function Validate According To URI'.

### createXMLValueFunctionValidateAccordingToIdentifier

    XMLValueFunctionValidateAccordingToIdentifier createXMLValueFunctionValidateAccordingToIdentifier()

  Returns a new object of class 'XML Value Function Validate According To Identifier'.

  Returns:
    a new object of class 'XML Value Function Validate According To Identifier'.

### createXMLValueFunctionValidateElementName

    XMLValueFunctionValidateElementName createXMLValueFunctionValidateElementName()

  Returns a new object of class 'XML Value Function Validate Element Name'.

  Returns:
    a new object of class 'XML Value Function Validate Element Name'.

### createXMLValueFunctionValidateElementNamespace

    XMLValueFunctionValidateElementNamespace createXMLValueFunctionValidateElementNamespace()

  Returns a new object of class 'XML Value Function Validate Element Namespace'.

  Returns:
    a new object of class 'XML Value Function Validate Element Namespace'.

### createXMLNamespacesDeclaration

    XMLNamespacesDeclaration createXMLNamespacesDeclaration()

  Returns a new object of class 'XML Namespaces Declaration'.

  Returns:
    a new object of class 'XML Namespaces Declaration'.

### createXMLAttributesDeclaration

    XMLAttributesDeclaration createXMLAttributesDeclaration()

  Returns a new object of class 'XML Attributes Declaration'.

  Returns:
    a new object of class 'XML Attributes Declaration'.

### createXMLValueFunctionElementContentList

    XMLValueFunctionElementContentList createXMLValueFunctionElementContentList()

  Returns a new object of class 'XML Value Function Element Content List'.

  Returns:
    a new object of class 'XML Value Function Element Content List'.

### createXMLValueFunctionQueryReturning

    XMLValueFunctionQueryReturning createXMLValueFunctionQueryReturning()

  Returns a new object of class 'XML Value Function Query Returning'.

  Returns:
    a new object of class 'XML Value Function Query Returning'.

### createXMLValueFunctionValidateElement

    XMLValueFunctionValidateElement createXMLValueFunctionValidateElement()

  Returns a new object of class 'XML Value Function Validate Element'.

  Returns:
    a new object of class 'XML Value Function Validate Element'.

### createXMLTableColumnDefinitionDefault

    XMLTableColumnDefinitionDefault createXMLTableColumnDefinitionDefault()

  Returns a new object of class 'XML Table Column Definition Default'.

  Returns:
    a new object of class 'XML Table Column Definition Default'.

### createXMLSerializeFunctionEncoding

    XMLSerializeFunctionEncoding createXMLSerializeFunctionEncoding()

  Returns a new object of class 'XML Serialize Function Encoding'.

  Returns:
    a new object of class 'XML Serialize Function Encoding'.

### getSQLXMLQueryModelPackage

    SQLXMLQueryModelPackage getSQLXMLQueryModelPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.